/********************************************************************/
/*                                                                  */
/*   Program Name :  timedisp                                       */
/*                                                                  */
/*      Version:  0.00  2001-08-16                                  */
/*                1.10  2002-06-04                                  */
/*                1.11  2005-09-28  support linux2.6                */
/*                2.00  2005-12-20  support VSSP32                  */
/*                2.10  2007-02-23  revised to use common library   */
/*                                                                  */
/*      Copyright (c) 2002-2007 T.Kondo/NICT All Right Reserved     */
/*                                                                  */
/********************************************************************/
/*
    Display K5/VSSP or K5/VSSP32 on board time
         by T.Kondo 2001.8.16 
            Ver 2.10 2007.02.23

      How to run
          timedisp [period]
               where  period  -- display period (sec)
                                 default is 10 sec

*/
#include "chead.h"      // common header for IP-VLBI utilities
#include "libipvlbi_board.h"  // library for IP-VLBI sampler board

int main(int argc, char **argv)
{
    int secmax;
    int i;

    if(argc >= 2){
       secmax = atoi(*(argv + 1 ));
       if(secmax <= 0) {secmax=10;}
    } else {
       secmax=10;
    }

    printf("\n");
    
    i=board_time_disp(secmax);

    printf("\n\n");

}
